You are not logged in.

#1 2020-01-24 10:08:12

Shrek
Member
Registered: 2019-06-24
Posts: 29

I can't install mate-menu from the aur

Hello everybody,
I want to install mate-menu from the aur but I got the following error:

   File "setup.py", line 25, in <module>
    from setuptools import setup
  File "/usr/lib/python3.7/site-packages/setuptools/__init__.py", line 15, in <module>
    from six import PY3, string_types
ModuleNotFoundError: No module named 'six'

Even though python-six is installed aswell as python-setuptools

What did I do wrong ?
Please help thanks

Offline

#2 2020-01-24 13:20:32

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 9,397
Website

Re: I can't install mate-menu from the aur

How are you trying to build the package, please post the commands and their full outputs.

Mod note: moving to AUR Issues


Sakura:-
Mobo: MSI X299 TOMAHAWK ARCTIC // Processor: Intel Core i7-7820X 3.6GHz // GFX: nVidia GeForce GTX 970 // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 5x 1TB HDD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#3 2020-01-24 13:32:30

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 7,436

Re: I can't install mate-menu from the aur

/usr/lib/python3.7/site-packages/?

Is the whole system that out of date, or is this a partial update situation?

Online

#4 2020-01-24 14:51:40

teckk
Member
Registered: 2013-02-21
Posts: 353

Re: I can't install mate-menu from the aur

pacman -Syu, get your machine up to date. Then start over.
Python is looking for a module named six. pacman -Si python-six

Even though python-six is installed aswell as python-setuptools

It's wanting python 3.7. I'm a month out of date and I have 3.8.1

Did you read the comments?
https://aur.archlinux.org/packages/mate-menu/

Don't do any of that. Use something else. Or get the source/PKGBUILD and update it to work with uptodate. If an AUR package will not work with an uptodate arch, then don't use it. Fix the AUR package, don't mess up your install.

Edit:
When everything matches like it's suppose to after an update.

python
Python 3.8.1 (default, Dec 21 2019, 20:57:38) 
[GCC 9.2.0] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> from six import PY3, string_types
>>> (10).as_integer_ratio()
(10, 1)

Last edited by teckk (2020-01-24 15:11:14)

Offline

Board footer

Powered by FluxBB